# Система решения ОДУ

**Дисциплина:** Вычислительная математика
**Работа:** Лабораторная работа №1
**Работу выполнили:** Величко А.А., Галкин И.Ю., Егоров С.А., Адаев Р.М. ИВТ 2 курс

## Установка и запуск

1. Клонировать репозиторий: `$ git clone https://git.herzen.spb.ru/200404/ode-solver-2021.git`
2. В папке репозитория создать виртуальное окружение: `$ python3 -m venv ./.venv`
3. Активировать виртуальное окружение: `$ source ./.venv/bin/activate`
4. Установить зависимости: `$ pip install -r requirements.txt`
5. Запустить программу: `$ python ./src/main.py`

## Методы

Поддерживаются следующие методы с постоянным и переменным шагом:

- Метод левых прямоугольников
- Метод правых прямоугольников
- Метод трапеций
- Метод парабол
- Метод двойного пересчета
- Метод Рунге-Кутты
- Метод Эйлера
- Некий секретный алгоритм

## Функции

Можно проинтегрировать следующие элементарные функции:

- Синус X
- Косинус X
- Натуральный логарифм X
- Квадратный корень X
- Квадрат X
- Куб X
